Bug 7512 - Make --skip-compress case insensitive
Make --skip-compress case insensitive
Status: RESOLVED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.0.8
x64 FreeBSD
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 06:27 UTC by dennylin93
Modified: 2010-12-26 13:52 UTC (History)
1 user (show)

See Also:


Attachments
Make --skip-compress suffixes case insensitive (647 bytes, patch)
2010-06-14 06:29 UTC, dennylin93
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dennylin93 2010-06-14 06:27:45 UTC
When rsync checks the list of suffixes, they are case sensitive meaning that files such as *.JPG will still get compressed.

Attached patch makes the check case insensitive.
Comment 1 dennylin93 2010-06-14 06:29:24 UTC
Created attachment 5791 [details]
Make --skip-compress suffixes case insensitive
Comment 2 Wayne Davison 2010-06-19 11:48:46 UTC
Thanks for the patch to fix this oversight!  I've checked this into the master branch of the git repo.
Comment 3 Marc MAURICE 2010-12-26 13:05:09 UTC
Hello,

Thanks for the patch.
However, I was wondering if it was implemented in my rsync version of not.
I got the source in order to see if it was in my rsync or not.

Can you add a little comment about this in the man page ?

Thanks in advance,
Marc
Comment 4 Wayne Davison 2010-12-26 13:52:50 UTC
It will be fixed in 3.0.8.